.sj-dropdown {
  background-color: $sj-color-bg-page;
  display: flex;

  &.show { z-index: 5; }

  &__small {
    display: block;
    color: $color-primary;
  }

  .sj-dropdown-item {
    white-space: normal;
    margin-top: $spacer/2;
    margin-bottom: $spacer/2;

    &:first-child { margin-top: 0; }

    &:last-child { margin-bottom: 0; }

    @include media-breakpoint-up(sm) {
      margin-top: 0;
      margin-bottom: 0;
    }

    &--with-icon {
      display: flex;
    }

    &__icon {
      flex: 0 0 16px;
      height: auto;
      align-self: flex-start;
      margin-right: $spacer/2;
      margin-top: $dropdown-padding-y/2;

      &--success path { fill: $color-success; }

      &--danger path { fill: $color-danger; }
    }
  }

  .dropdown-divider {
    margin-left: 0.5*$spacer;
    margin-right: 0.5*$spacer;
  }

}

.sj-dropdown-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 26px;
  padding: 0.9*$spacer-y 0.8*$spacer-x;

  .show &::after {
    content: "";
    display: block;
    width: 100%;
    height: 7px;
    position: absolute;
    top: 100%;
    margin-top: -6px;
    background-color: white;
  }

  .show & {
    z-index: 10;
    box-shadow: 0 -5px 10px 0 rgba(0, 0, 0, 0.15);
  }

  &__icon {
    width: 16px;
    height: 16px;
  }

  .show & svg path {
    fill: $color-primary;
  }

}

.sj-dropdown-menu {
  box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.15);
  width: 70vw;
  overflow: hidden;
  z-index: 0;

  .sj-dropdown--over & {
    z-index: 15;
  }
}

